TeePayDocs
API ReferenceCheckout sessions

List checkout sessions

GET
/v1/checkout-sessions

Checkout sessions created through the API, newest first. Requires checkout:read.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Secret API key: tp_test_. or tp_live_.. Server-side only.

Query Parameters

limit?integer
Range1 <= value <= 50
Default20
cursor?string
Match^[A-Za-z0-9_-]{1,256}$

Response Body

Page of checkout sessions

application/json
  1. response
object*unknown
items*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://api.teepay.me/v1/checkout-sessions'
Example Response
{  "object": "list",  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "object": "checkout_session",      "status": "open",      "title": "string",      "description": "string",      "currency": "string",      "amount_minor": "string",      "checkout_url": "http://example.com",      "payment_profile_id": "string",      "reference": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "payment": {        "reference": "string"      },      "environment": "live",      "created_at": "string",      "expires_at": "string"    }  ],  "next_cursor": "string"}